Bug 256324 - net-mgmt/prometheus2: Update to 2.26.1
Summary: net-mgmt/prometheus2: Update to 2.26.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Guangyuan Yang
URL:
Keywords: patch
Depends on:
Blocks: 255976
  Show dependency treegraph
 
Reported: 2021-06-01 06:23 UTC by Guangyuan Yang
Modified: 2021-06-03 10:27 UTC (History)
2 users (show)

See Also:
dor.bsd: maintainer-feedback+
ygy: merge-quarterly+


Attachments
net-mgmt/prometheus2: Update to 2.26.1 (1.61 KB, patch)
2021-06-02 14:52 UTC, David O'Rourke
dor.bsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guangyuan Yang freebsd_committer 2021-06-01 06:23:43 UTC
v2.26.1 is the first version that contains the security fix, we should update the port to this version and MFH before updating to newer ones.
Comment 1 David O'Rourke 2021-06-02 14:52:01 UTC
Created attachment 225499 [details]
net-mgmt/prometheus2: Update to 2.26.1

This diff updates net-mgmt/prometheus2 to 2.26.1, fixing CVE-2021-29622.
Comment 2 commit-hook freebsd_committer 2021-06-03 09:29:19 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=eed856cce0561df8be263b48f5ad482a096e2123

commit eed856cce0561df8be263b48f5ad482a096e2123
Author:     David O'Rourke <dor.bsd@xm0.uk>
AuthorDate: 2021-06-03 09:28:34 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-06-03 09:28:34 +0000

    net-mgmt/prometheus2: Update to 2.26.1

    Changes:        https://github.com/prometheus/prometheus/releases/tag/v2.26.1

    PR:             256324
    MFH:            2021Q2 (security fix)
    Security:       CVE-2021-29622
    Security:       59ab72fb-bccf-11eb-a38d-6805ca1caf5c
    Submitted by:   David O'Rourke <dor.bsd@xm0.uk> (maintainer)
    Approved by:    lwhsu (mentor)

 net-mgmt/prometheus2/Makefile |  2 +-
 net-mgmt/prometheus2/distinfo | 10 +++++-----
 2 files changed, 6 insertions(+), 6 deletions(-)
Comment 3 commit-hook freebsd_committer 2021-06-03 10:03:25 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ece647d08c3933df136bef37559c6987eec192a7

commit ece647d08c3933df136bef37559c6987eec192a7
Author:     David O'Rourke <dor.bsd@xm0.uk>
AuthorDate: 2021-06-03 09:28:34 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-06-03 10:02:30 +0000

    net-mgmt/prometheus2: Update to 2.26.1

    Changes:        https://github.com/prometheus/prometheus/releases/tag/v2.26.1

    PR:             256324
    Security:       CVE-2021-29622
    Security:       59ab72fb-bccf-11eb-a38d-6805ca1caf5c
    Approved by:    lwhsu (mentor)

    (cherry picked from commit eed856cce0561df8be263b48f5ad482a096e2123)

 net-mgmt/prometheus2/Makefile |  2 +-
 net-mgmt/prometheus2/distinfo | 14 +++++++-------
 2 files changed, 8 insertions(+), 8 deletions(-)
Comment 4 Guangyuan Yang freebsd_committer 2021-06-03 10:27:56 UTC
(In reply to Guangyuan Yang from comment #0)

Committed, thanks!